package id.ac.tazkia.aplikasihr.dao.payroll;

import id.ac.tazkia.aplikasihr.entity.StatusRecord;
import id.ac.tazkia.aplikasihr.entity.masterdata.EmployeePayrollComponent;
import id.ac.tazkia.aplikasihr.entity.payroll.EmployeePayrollComponentHistory;
import id.ac.tazkia.aplikasihr.entity.payroll.EmployeePayrollComponentHistoryDetail;
import id.ac.tazkia.aplikasihr.entity.setting.payroll.PayrollComponent;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.time.LocalDate;
import java.util.List;

public interface EmployeePayrollComponentHistoryDetailDao extends PagingAndSortingRepository<EmployeePayrollComponentHistoryDetail, String>, CrudRepository<EmployeePayrollComponentHistoryDetail, String> {

//    List<EmployeePayrollComponentHistoryDetail> findByStatusAndEmployeePayrollComponentHistoryOrderByEmployeePayrollComponentId(StatusRecord statusRecord, EmployeePayrollComponentHistory employeePayrollComponentHistory);

    List<EmployeePayrollComponentHistoryDetail> findByStatusAndEmployeePayrollComponentHistoryPayrollComponentAndEmployeePayrollComponentHistoryEffectiveDateOrderByEmployeePayrollComponentHistory(StatusRecord statusRecord, PayrollComponent payrollComponent, LocalDate date);


    EmployeePayrollComponentHistoryDetail findByStatusAndEmployeePayrollComponentHistoryAndEmployeePayrollComponent(StatusRecord statusRecord, EmployeePayrollComponentHistory employeePayrollComponentHistory, EmployeePayrollComponent employeePayrollComponent);

}
